Package com.independentsoft.office.spreadsheet

# Enum Class SheetViewType

java.lang.Object
java.lang.Enum<SheetViewType>
com.independentsoft.office.spreadsheet.SheetViewType

All Implemented Interfaces:
  `Serializable`, `Comparable<SheetViewType>`, `Constable`

public enum SheetViewType extends Enum<SheetViewType>
The Enum SheetViewType.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `NONE`
  `NORMAL`
  `PAGE_BREAK_PREVIEW`
  `PAGE_LAYOUT`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static SheetViewType`
  `valueOf​(String name)`
  Returns the enum constant of this class with the specified name.
  `static SheetViewType[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NORMAL

    public static final SheetViewType NORMAL

  - ### PAGE_BREAK_PREVIEW

    public static final SheetViewType PAGE_BREAK_PREVIEW

  - ### PAGE_LAYOUT

    public static final SheetViewType PAGE_LAYOUT

  - ### NONE

    public static final SheetViewType NONE

- ## Method Details

  - ### values

    public static SheetViewType[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static SheetViewType valueOf​(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null